Импортировать mpl_toolkits.basemap в Windows?

Недавно я начал использовать Python 3.5 и Anaconda на моем ПК с Windows. Я пытаюсь построить карту. Однако, когда я нахожусь в своем ноутбуке Jupyter, и я набираю команду

импортировать mpl_toolkits.basemap

Я получаю сообщение об ошибке «no module name» 'mpl_toolkits.basemap' Тем не менее, у меня загружен модуль и в том же файле C: \ Users \ Geena, что и файлы .matplotlib, .ipython, .jupyter и т. Д.

Кто-нибудь знает, как я могу это исправить?

У меня была эта проблема с anaconda на моих окнах 7.
Я нашел способ исправить это с помощью python 3.5:
Вам нужно запустить с правами администратора «Anaconda Prompt» и в «Anaconda Prompt» запустить следующую команду:

conda install -c conda-forge basemap-data-hires=1.0.8.dev0 

, он покажет новые пакеты, которые вам нужно установить, и попросит вас установить их – скажите «Да».
После этого будут установлены новые пакеты и будет исправлена ​​проблема «import mpl_toolkits.basemap».

Спасибо.

Anaconda требует необычной команды установки для базовой версии 1.0.7.
https://anaconda.org/anaconda/basemap

Чтобы установить этот пакет с запуском conda:
conda install -c https://conda.anaconda.org/anaconda basemap

В настоящее время базовая карта не совместима с python 3 для пользователей Windows. Итак, если вы попробуете conda install basemap и у вас установлен python 3 в Windows, вы увидите сообщение о том, что конфликт был найден с помощью python 3.

Я решил это, установив среду python 2.7. Попробуйте следующее: http://conda.pydata.org/docs/py2or3.html

Затем вы просто активируете среду python 2. Например: activate py27 (py27 – это идентификатор моей среды python 2.7).

После этого вы можете запустить conda install basemap без конфликтов.

У меня тоже был этот вопрос. Все, что вам нужно сделать, это обновить matplotlib , выполнив следующие действия:

 pip install --upgrade matplotlib 

mpl_toolkits является частью matplotlib и просто нуждается в обновлении.

Когда у вас есть Anaconda , вы нигде не загружаете модули. В командной строке введите

 conda install basemap 

и он устанавливается со всеми его зависимостями.